<template>
  <div style="padding: 20px 0 10px;text-align: center;">
    <img style="width: 260px;height: 260px;" :src="invitationMsg.urlCode" alt="">
    <div style="margin-top: 10px;font-size: 24px">邀请码：{{ invitationMsg.invitationCode }}</div>
  </div>
</template>

<script>
import { getPlatformInfoCode } from '@/api/memberManagement/invitationBinding'
export default {
  name: 'InvitationCode',
  data() {
    return {
      invitationMsg: {
        invitationCode: '',
        urlCode: ''
      }
    }
  },
  mounted() {
    this.getInvitationCode()
  },
  methods: {
    // 查询邀请码
    async getInvitationCode() {
      const res = await getPlatformInfoCode({})
      console.log(res)
      this.invitationMsg = res.data
    }
  }
}
</script>

<style scoped lang='scss'>
</style>
